Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#7741 closed defect (fixed)

JS related i18n message compilation fails for current 0.12 install

Reported by: bungybun@… Owned by: hasienda
Priority: normal Component: DynamicFieldsPlugin
Severity: normal Keywords: i18n l10n documentation
Cc: bungybun@… Trac Release: 0.12

Description

This is probably something I've not got right or missed, but any help would be appreciated.

I'm having problems installing the 0.12 version of the plugin from source.

I've installed Babel (0.9.5) then downloaded the 0.12 branch and successfully run compile_catalog but compile_catalog_js fails with invalid command 'compile_catalog_js'. Suggests to me I've missed something fairly fundamental so any pointers would be appreciated.

Attachments (0)

Change History (6)

comment:1 Changed 4 years ago by hasienda

  • Keywords i18n l10n documentation added
  • Owner changed from robguttman to hasienda
  • Status changed from new to assigned
  • Summary changed from 0.12 install issues to JS related i18n message compilation fails for current 0.12 install

I've checked this and it was me that missed something.

As a matter of fact currently there is no i18n support needed for the JS part of this plugin, so IMHO it wouldn't be smart to add that now just for completeness. Current rules provide no own translatable text, but only If that changes, well we'll get a real use case, and then would be the right time. Trust me, the required changes are almost trivial and could be quite easily done anytime.

To sum up, this is a documentation bug and I'll just correct the wiki page.

comment:2 Changed 4 years ago by bungybun

Nice one, thanks hasienda.

So just run the compile_catalog before deploying the egg?

comment:3 Changed 4 years ago by hasienda

I've just done the corrections. Look at the wiki page again and check, if it's all clear now, please. In case you're not satisfied, comment here accordingly.

But beware: Even if you have set a locale for your Trac environment, chances are that the display of DynamicFieldsPlugin user preference pages won't change at all. German is currently the only other available language apart from the default English texts, provided it's matching Trac's default or users locale preference setting in browser.

comment:4 follow-up: Changed 4 years ago by bungybun

Thanks, works fine now, though the Trac/Babel install is a pain in the backside (see http://trac.edgewall.org/ticket/9439). I ended up reinstalling Trac.

Might be worth referencing the above ticket on your wiki page in case others have the same issue.

comment:5 in reply to: ↑ 4 Changed 4 years ago by hasienda

  • Resolution set to fixed
  • Status changed from assigned to closed

Replying to andybaker:

Thanks, works fine now, though the Trac/Babel install is a pain in the backside (see http://trac.edgewall.org/ticket/9439). I ended up reinstalling Trac.

Great, thanks for the feedback.

Might be worth referencing the above ticket on your wiki page in case others have the same issue.

Sure, done so right now.

comment:6 Changed 4 years ago by bungybun

Excellent. Thanks. Hopefully between us we've prevented anyone else hitting the same problems :-)

Add Comment

Modify Ticket

Action
as closed The owner will remain hasienda.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.